// CODE by Lukas Janky
// 17.5.2020 Final Version




#include "I2Cdev.h"
#include "MPU6050.h"
#include <Servo.h>



#if I2CDEV_IMPLEMENTATION == I2CDEV_ARDUINO_WIRE
    #include "Wire.h"
#endif

int goal;
int angle = 50;
Servo myServo;

MPU6050 accelgyro;


int16_t ax, ay, az;
int16_t gx, gy, gz;




#define OUTPUT_READABLE_ACCELGYRO




#define LED_PIN 13
bool blinkState = false;

void setup() {
    // join I2C bus (I2Cdev library doesn't do this automatically)
    #if I2CDEV_IMPLEMENTATION == I2CDEV_ARDUINO_WIRE
        Wire.begin();
    #elif I2CDEV_IMPLEMENTATION == I2CDEV_BUILTIN_FASTWIRE
        Fastwire::setup(400, true);
    #endif

pinMode(2, INPUT);
pinMode(3, INPUT);
 


  

  myServo.attach(13); //use pin that you like (i am using 13) and use only digital pins
   
    Serial.begin(38400);

    // initialize device
    Serial.println("Initializing I2C devices...");
    accelgyro.initialize();

    // verify connection
    Serial.println("Testing device connections...");
    Serial.println(accelgyro.testConnection() ? "MPU6050 connection successful" : "MPU6050 connection failed");

    

    // configure Arduino LED for
    pinMode(LED_PIN, OUTPUT);
}

void loop() {
    // read raw accel/gyro measurements from device
    accelgyro.getMotion6(&ax, &ay, &az, &gx, &gy, &gz);

    

    #ifdef OUTPUT_READABLE_ACCELGYRO
        // display tab-separated accel/gyro x/y/z values
        Serial.print("a/g:\t");
        Serial.print(ax); Serial.print("\t");
        Serial.print(ay); Serial.print("\t");
        Serial.print(az); Serial.print("\t");
        Serial.print(gx); Serial.print("\t");
        Serial.print(goal); Serial.print("\t");
        Serial.println(angle);
    #endif

    #ifdef OUTPUT_BINARY_ACCELGYRO
        Serial.write((uint8_t)(ax >> 8)); Serial.write((uint8_t)(ax & 0xFF));
        Serial.write((uint8_t)(ay >> 8)); Serial.write((uint8_t)(ay & 0xFF));
        Serial.write((uint8_t)(az >> 8)); Serial.write((uint8_t)(az & 0xFF));
        Serial.write((uint8_t)(gx >> 8)); Serial.write((uint8_t)(gx & 0xFF));
        Serial.write((uint8_t)(gy >> 8)); Serial.write((uint8_t)(gy & 0xFF));
        Serial.write((uint8_t)(gz >> 8)); Serial.write((uint8_t)(gz & 0xFF));
    #endif

    // blink LED to indicate activity
    blinkState = !blinkState;
    digitalWrite(LED_PIN, blinkState);



int bt2 = digitalRead(2);
int bt3 = digitalRead(3);


goal = ax/188.88;

if (bt2 == 1) {
  angle --;
 
}

if (bt3 == 1) {
  angle ++;
  
}

if (90 < angle) {
  angle = 0;
}

if (angle < -82) {
  angle = 0;
}

    
    if(goal > angle) {
      myServo.write(0);

    }

    else{
      myServo.write(60);

    }

delay(50);

}
